<?php
if ( ! defined('BASEDIR')) exit('Acces denied');
class Db {
    protected $db_name = DB_NAME;
    protected $db_user = DB_USER;
    protected $db_pass = DB_PASS;
    protected $db_host = DB_HOST;

    private $conn;

    // constructor
    public function __construct() {
        $this->conn = new mysqli( $this->db_host, $this->db_user, $this->db_pass, $this->db_name );
        if ( mysqli_connect_errno() ) {
            printf("Connection failed: %s", mysqli_connect_error());
            exit();
        }
        return true;
    }

    public function getConfig(){
        $config = array();
        $query 	= $this->conn->query("select * from config");

        if(!$query){
            //Need to redirect to install folder
            header("location: install/");
        }

        while($row = $query->fetch_array(MYSQLI_BOTH)){
            $config[$row['name']]=$row['value'];
        }

        return (object) $config;
    }


    //select
    public function select($table,$where=array(),$order=array(),$limit=array('from'=>0,'to'=>10000)){
        $c[]='1=1';
        $ord = "";
        if($order){
            foreach($order as $tag=>$val){
                $o[]=' '.$tag." ".$val;
            }
            if($o){
                $ord="order by ".implode(',',$o);
            }
        }
        foreach($where as $tag=>$val){
            $c[]=$tag."='".$val."'";
        }
        $r=array();
        $this->runQuery = "select * from ".$table." where ".implode(' AND ',$c)." ".$ord." LIMIT ".$limit['from'].",".$limit['to'];
        $query = $this->conn->query($this->runQuery);

        while($row = $query->fetch_array(MYSQLI_BOTH)){
            $r[]= (object) $row;
        }

        return $r;
    }

    public function select_row($table,$where,$order=array(),$limit=array('from'=>0,'to'=>10000)){
        $r = $this->select($table,$where,$order,$limit);

        return (count($r)?$r[0]:array());
    }

    public function insert($array,$table){
        foreach($array as $tag=>$val){
            $cols[]=$tag;
            $vals[]=$this->conn->real_escape_string($val);
        }

        $this->runQuery = "insert into ".$table."(".implode(",",$cols).") values('".implode("','",$vals)."')";
        if ($this->conn->query($this->runQuery) != TRUE) {
            echo "Error: " . $this->runQuery . "<br>" . $this->conn->error;
        }

        return $this->conn->insert_id;
    }

    public function query($q){

        $query 	= $this->conn->query($q);

        if(is_bool($query)) return true;

        while($row = $query->fetch_array(MYSQLI_BOTH)) {
            $return[]= (object) $row;
        }
        return $return;
    }


    public function update($array,$table,$where=array()){
        $c[]='1=1';
        foreach($where as $tag=>$val){
            $c[]=$tag."='".$val."'";
        }

        foreach($array as $tag=>$val){
            $cols[]=$tag;
            $vals[]=$val;

            $upd[]="".$tag."='".$val."'";
        }

        $this->runQuery="update ".$table." SET ".implode(', ',$upd)." where ".implode(' AND ',$c)."";
        if ($this->conn->query($this->runQuery) != TRUE) {
            echo "Error executing: " . $this->runQuery . "<br>" . $this->conn->error;
        }
        return true;
    }

    public function delete($array,$table){
        foreach($array as $col=>$val){
            $cond[]=$col." = '".$val."'";
        }
        $where=implode(" AND ",$cond);

        $this->runQuery = "delete from ".$table." where ".$where;
        if ($this->conn->query($this->runQuery) !== TRUE) {
            echo "Error: " . $this->runQuery . "<br>" . $this->conn->error;
        }
    }

    public function count($table,$array=array()){
        $cond=array();
        foreach($array as $col=>$val){
            $cond[]=$col." = '".$val."'";
        }
        $where=implode(" AND ",$cond);
        if($where)$where=' where '.$where;


        $sql = "select * from ".$table."".$where;
        $num_rows = $this->conn->query($sql);
        $nr = count($num_rows);

        return $nr;
    }

}


$db = new Db;
$cfg = $db->getConfig();

?>